import { createFileRoute, redirect } from "@tanstack/react-router";
import { checkUserAccess } from "@/lib/authClient";
import HistoricalData from "../../-components/logistics/siloAdjustments/HistoricalData";

export const Route = createFileRoute(
	"/_old/old/(logistics)/siloAdjustments/$hist",
)({
	component: RouteComponent,

	beforeLoad: async () => {
		const auth = await checkUserAccess({
			allowedRoles: ["systemAdmin", "technician", "admin", "manager"],
			moduleName: "siloAdjustments", // optional
		});

		if (!auth) {
			throw redirect({
				to: "/login",
				search: {
					// Use the current location to power a redirect after login
					// (Do not use `router.state.resolvedLocation` as it can
					// potentially lag behind the actual current location)
					redirect: location.pathname + location.search,
				},
			});
		}
	},

	// In a loader
	loader: ({ params }) => params.hist,
	// Or in a component
});

function RouteComponent() {
	const { hist } = Route.useParams();
	return (
		<div>
			<HistoricalData laneId={hist} />
		</div>
	);
}
